=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kleopatra
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev (>= 1.34.0~),
                libgpgmepp-dev (>= 1.7.1~),
@@ -17,8 +18,8 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:21.08.1~),
-               libkf5mime-dev (>= 21.08.1~),
+               libkf5libkleo-dev (>= 4:21.12.3~),
+               libkf5mime-dev (>= 21.12.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
